Index: trunk/NEMO/OPA_SRC/OBC/obc_oce.F90
===================================================================
--- trunk/NEMO/OPA_SRC/OBC/obc_oce.F90	(revision 1598)
+++ trunk/NEMO/OPA_SRC/OBC/obc_oce.F90	(revision 1601)
@@ -4,8 +4,4 @@
    !! Open Boundary Cond. :   define related variables
    !!==============================================================================
-   !!  OPA 9.0 , LOCEAN-IPSL (2005) 
-   !! $Id$ 
-   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt) 
-   !!----------------------------------------------------------------------
    !!----------------------------------------------------------------------
    !!   'key_obc' :                                 Open Boundary Condition
@@ -29,29 +25,43 @@
    !! open boundary variables
    !!----------------------------------------------------------------------
-   !!
+   !
+   !                                  !!* Namelist namobc: open boundary condition *
+   INTEGER           ::   nn_nbobc    = 2        !: number of open boundaries ( 1=< nbobc =< 4 ) 
+   INTEGER           ::   nn_obcdta   = 0        !:  = 0 use the initial state as obc data
+   !                                             !   = 1 read obc data in obcxxx.dta files
+   CHARACTER(len=20) ::   cn_obcdta   = 'annual' !: set to annual  if obc datafile hold 1 year of data
+   !                                             !  set to monthly if obc datafile hold 1 month of data
+   LOGICAL           ::   ln_obc_clim = .true.   !:  obc data files are climatological
+   LOGICAL           ::   ln_obc_fla  = .false.  !:  Flather open boundary condition not used
+   LOGICAL           ::   ln_vol_cst  = .true.   !:  Conservation of the whole volume
+   REAL(wp)          ::   rn_dpein    =  1.      !: damping time scale for inflow at East open boundary
+   REAL(wp)          ::   rn_dpwin    =  1.      !:    "                      "   at West open boundary
+   REAL(wp)          ::   rn_dpsin    =  1.      !:    "                      "   at South open boundary
+   REAL(wp)          ::   rn_dpnin    =  1.      !:    "                      "   at North open boundary
+   REAL(wp)          ::   rn_dpeob    = 15.      !: damping time scale for the climatology at East open boundary
+   REAL(wp)          ::   rn_dpwob    = 15.      !:    "                           "       at West open boundary
+   REAL(wp)          ::   rn_dpsob    = 15.      !:    "                           "       at South open boundary
+   REAL(wp)          ::   rn_dpnob    = 15.      !:    "                           "       at North open boundary
+   REAL(wp)          ::   rn_volemp   =  1.      !: = 0 the total volume will have the variability of the 
+   !                                             !      surface Flux E-P else (volemp = 1) the volume will be constant
+   !                                             !  = 1 the volume will be constant during all the integration.
+
+   !                                  !!! OLD non-DOCTOR name of namelist variables
+   INTEGER  ::   nbobc                 !: number of open boundaries ( 1=< nbobc =< 4 ) 
+   INTEGER  ::   nobc_dta              !:  = 0 use the initial state as obc data
+   REAL(wp) ::   rdpein                !: damping time scale for inflow at East open boundary
+   REAL(wp) ::   rdpwin                !:    "                      "   at West open boundary
+   REAL(wp) ::   rdpsin                !:    "                      "   at South open boundary
+   REAL(wp) ::   rdpnin                !:    "                      "   at North open boundary
+   REAL(wp) ::   rdpeob                !: damping time scale for the climatology at East open boundary
+   REAL(wp) ::   rdpwob                !:    "                           "       at West open boundary
+   REAL(wp) ::   rdpsob                !:    "                           "       at South open boundary
+   REAL(wp) ::   rdpnob                !:    "                           "       at North open boundary
+   REAL(wp) ::   volemp                !: = 0 the total volume will have the variability of the 
+   CHARACTER(len=20) :: cffile
+
+
    !!General variables for open boundaries:
    !!--------------------------------------
-   INTEGER ::              & !: * namelist ??? *
-      nbobc    = 2  ,      & !: number of open boundaries ( 1=< nbobc =< 4 ) 
-      nobc_dta = 0           !:  = 0 use the initial state as obc data
-      !                      !   = 1 read obc data in obcxxx.dta files
-
-   LOGICAL ::  ln_obc_clim = .true.  !:  obc data files are climatological
-   LOGICAL ::  ln_obc_fla  = .false. !:  Flather open boundary condition not used
-   LOGICAL ::  ln_vol_cst  = .true.  !:  Conservation of the whole volume
-
-   REAL(wp) ::             & !!: open boundary namelist (namobc)
-      rdpein =  1.  ,      &  !: damping time scale for inflow at East open boundary
-      rdpwin =  1.  ,      &  !:    "                      "   at West open boundary
-      rdpsin =  1.  ,      &  !:    "                      "   at South open boundary
-      rdpnin =  1.  ,      &  !:    "                      "   at North open boundary
-      rdpeob = 15.  ,      &  !: damping time scale for the climatology at East open boundary
-      rdpwob = 15.  ,      &  !:    "                           "       at West open boundary
-      rdpsob = 15.  ,      &  !:    "                           "       at South open boundary
-      rdpnob = 15.  ,      &  !:    "                           "       at North open boundary
-      volemp =  1.            !: = 0 the total volume will have the variability of the 
-                              !      surface Flux E-P else (volemp = 1) the volume will be constant
-                              !  = 1 the volume will be constant during all the integration.
-
    LOGICAL ::              &  !:
       lfbceast, lfbcwest,  &  !: logical flag for a fixed East and West open boundaries       
@@ -60,6 +70,5 @@
       !                       !  scale are set to 0 in the namelist, for both inflow and outflow).
 
-   REAL(wp), PUBLIC ::    &  !:
-      obcsurftot       !: Total lateral surface of open boundaries
+   REAL(wp), PUBLIC ::   obcsurftot       !: Total lateral surface of open boundaries
    
    REAL(wp), PUBLIC, DIMENSION(jpi,jpj) :: &  !:
@@ -79,14 +88,5 @@
    INTEGER ::   nje1m2, nje0m1    !: do loop index in mpp case for jpjefm1-1,jpjed
 
-   REAL(wp), DIMENSION(jpj) ::    &  !:
-      bsfeob              !: now barotropic stream fuction computed at the OBC. The corres-
-      !                   ! ponding bsfn will be computed by the forward time step in dynspg.
-
-   REAL(wp), DIMENSION(jpj,3,3) ::   &  !:
-      bebnd               !: east boundary barotropic streamfunction over 3 rows
-      !                   ! and 3 time step (now, before, and before before)
-
    REAL(wp), DIMENSION(jpjed:jpjef) ::   &  !:
-      bfoe,             & !: now climatology of the east boundary barotropic stream function 
       sshfoe,           & !: now climatology of the east boundary sea surface height
       ubtfoe,vbtfoe       !: now climatology of the east boundary barotropic transport
@@ -98,26 +98,18 @@
       !                   ! in the obcdyn.F90 routine
 
-   REAL(wp), DIMENSION(jpjed:jpjef,jpj) ::   &  !:
-      sshfoe_b            !: east boundary ssh correction averaged over the barotropic loop
-                          !: (if Flather's algoritm applied at open boundary)
+   REAL(wp), DIMENSION(jpjed:jpjef,jpj) ::   sshfoe_b      !: east boundary ssh correction averaged over the barotropic loop
+      !                                                    !  (if Flather's algoritm applied at open boundary)
 
    !!-------------------------------
    !! Arrays for radiative East OBC: 
    !!-------------------------------
-   REAL(wp), DIMENSION(jpj,jpk,3,3) ::   &  !:
-      uebnd, vebnd                  !: baroclinic u & v component of the velocity over 3 rows 
-                                    ! and 3 time step (now, before, and before before)
-
-   REAL(wp), DIMENSION(jpj,jpk,2,2) ::   &  !:
-      tebnd, sebnd                  !: East boundary temperature and salinity over 2 rows 
-                                    ! and 2 time step (now and before)
-
-   REAL(wp), DIMENSION(jpj,jpk) ::   &  !:
-      u_cxebnd, v_cxebnd            !: Zonal component of the phase speed ratio computed with 
-                                    ! radiation of u and v velocity (respectively) at the 
-                                    ! east open boundary (u_cxebnd = cx rdt )
-
-   REAL(wp), DIMENSION(jpj,jpk) ::   &  !:
-      uemsk, vemsk, temsk           !: 2D mask for the East OB
+   REAL(wp), DIMENSION(jpj,jpk,3,3) ::   uebnd, vebnd      !: baroclinic u & v component of the velocity over 3 rows 
+      !                                                    !  and 3 time step (now, before, and before before)
+   REAL(wp), DIMENSION(jpj,jpk,2,2) ::   tebnd, sebnd      !: East boundary temperature and salinity over 2 rows 
+      !                                                    !  and 2 time step (now and before)
+   REAL(wp), DIMENSION(jpj,jpk) ::   u_cxebnd, v_cxebnd    !: Zonal component of the phase speed ratio computed with 
+      !                                                    !  radiation of u and v velocity (respectively) at the 
+      !                                                    !  east open boundary (u_cxebnd = cx rdt )
+   REAL(wp), DIMENSION(jpj,jpk) ::   uemsk, vemsk, temsk   !: 2D mask for the East OB
 
    ! Note that those arrays are optimized for mpp case 
@@ -133,14 +125,5 @@
    INTEGER ::   njw1m2, njw0m1     !: do loop index in mpp case for jpjwfm2,jpjwd
 
-   REAL(wp), DIMENSION(jpj) ::   &  !:
-      bsfwob              !: now barotropic stream fuction computed at the OBC. The corres-
-      !                   !  ponding bsfn will be computed by the forward time step in dynspg.
-
-   REAL(wp), DIMENSION(jpj,3,3) ::   &  !:
-      bwbnd               !: West boundary barotropic streamfunction over
-      !                   !  3 rows and 3 time step (now, before, and before before)
-
    REAL(wp), DIMENSION(jpjwd:jpjwf) ::   &  !:
-      bfow,             & !: now climatology of the west boundary barotropic stream function
       sshfow,           & !: now climatology of the west boundary sea surface height
       ubtfow,vbtfow       !: now climatology of the west boundary barotropic transport
@@ -152,26 +135,18 @@
       !                   !  in the obcdyn.F90 routine
 
-   REAL(wp), DIMENSION(jpjwd:jpjwf,jpj) ::   &  !:
-      sshfow_b            !: west boundary ssh correction averaged over the barotropic loop
-                          !: (if Flather's algoritm applied at open boundary)
+   REAL(wp), DIMENSION(jpjwd:jpjwf,jpj) ::   sshfow_b    !: west boundary ssh correction averaged over the barotropic loop
+      !                                                  !  (if Flather's algoritm applied at open boundary)
 
    !!-------------------------------
    !! Arrays for radiative West OBC
    !!-------------------------------
-   REAL(wp), DIMENSION(jpj,jpk,3,3) ::   &  !:
-      uwbnd, vwbnd                  !: baroclinic u & v components of the velocity over 3 rows 
-      !                             !  and 3 time step (now, before, and before before)
-
-   REAL(wp), DIMENSION(jpj,jpk,2,2) ::   &  !:
-      twbnd, swbnd                  !: west boundary temperature and salinity over 2 rows and 
-      !                             !  2 time step (now and before)
-
-   REAL(wp), DIMENSION(jpj,jpk) ::    &  !:
-      u_cxwbnd, v_cxwbnd            !: Zonal component of the phase speed ratio computed with 
-      !                             !  radiation of zonal and meridional velocity (respectively) 
-      !                             !  at the west open boundary (u_cxwbnd = cx rdt )
-
-   REAL(wp), DIMENSION(jpj,jpk) ::    &  !:
-      uwmsk, vwmsk, twmsk           !: 2D mask for the West OB
+   REAL(wp), DIMENSION(jpj,jpk,3,3) ::   uwbnd, vwbnd     !: baroclinic u & v components of the velocity over 3 rows 
+      !                                                   !  and 3 time step (now, before, and before before)
+   REAL(wp), DIMENSION(jpj,jpk,2,2) ::   twbnd, swbnd     !: west boundary temperature and salinity over 2 rows and 
+      !                                                   !  2 time step (now and before)
+   REAL(wp), DIMENSION(jpj,jpk) ::   u_cxwbnd, v_cxwbnd   !: Zonal component of the phase speed ratio computed with 
+      !                                                   !  radiation of zonal and meridional velocity (respectively) 
+      !                                                   !  at the west open boundary (u_cxwbnd = cx rdt )
+   REAL(wp), DIMENSION(jpj,jpk) ::   uwmsk, vwmsk, twmsk  !: 2D mask for the West OB
 
    ! Note that those arrays are optimized for mpp case 
@@ -188,14 +163,5 @@
    INTEGER ::   njn0m1, njn1m1     !: do loop index in mpp case for jpnob-1
 
-   REAL(wp), DIMENSION(jpi) ::   &  !:
-      bsfnob              !: now barotropic stream fuction computed at the OBC. The corres-
-      !                   !  ponding bsfn will be computed by the forward time step in dynspg.
-
-   REAL(wp), DIMENSION(jpi,3,3) ::   &  !:
-      bnbnd               !: north boundary barotropic streamfunction over
-      !                   !  3 rows and 3 time step (now, before, and before before)
-
    REAL(wp), DIMENSION(jpind:jpinf) ::   &  !:
-      bfon,             & !: now climatology of the north boundary barotropic stream function
       sshfon,           & !: now climatology of the north boundary sea surface height
       ubtfon,vbtfon       !: now climatology of the north boundary barotropic transport
@@ -207,27 +173,18 @@
       !                   !  in yhe obcdyn.F90 routine
 
-   REAL(wp), DIMENSION(jpind:jpinf,jpj) ::   &  !:
-      sshfon_b            !: north boundary ssh correction averaged over the barotropic loop
-                          !: (if Flather's algoritm applied at open boundary)
+   REAL(wp), DIMENSION(jpind:jpinf,jpj) ::   sshfon_b      !: north boundary ssh correction averaged over the barotropic loop
+      !                                                    !  (if Flather's algoritm applied at open boundary)
 
    !!--------------------------------
    !! Arrays for radiative North OBC
    !!--------------------------------
-   !!   
-   REAL(wp), DIMENSION(jpi,jpk,3,3) ::   &   !:
-      unbnd, vnbnd                  !: baroclinic u & v components of the velocity over 3
-      !                             !  rows and 3 time step (now, before, and before before)
-
-   REAL(wp), DIMENSION(jpi,jpk,2,2) ::   &   !:
-      tnbnd, snbnd                  !: north boundary temperature and salinity over
-      !                             !  2 rows and 2 time step (now and before)
-
-   REAL(wp), DIMENSION(jpi,jpk) ::   &     !:
-      u_cynbnd, v_cynbnd            !: Meridional component of the phase speed ratio compu-
-      !                             !  ted with radiation of zonal and meridional velocity 
-      !                             !  (respectively) at the north OB (u_cynbnd = cx rdt )
-
-   REAL(wp), DIMENSION(jpi,jpk) ::   &  !:
-      unmsk, vnmsk, tnmsk           !: 2D mask for the North OB
+   REAL(wp), DIMENSION(jpi,jpk,3,3) ::   unbnd, vnbnd      !: baroclinic u & v components of the velocity over 3
+      !                                                    !  rows and 3 time step (now, before, and before before)
+   REAL(wp), DIMENSION(jpi,jpk,2,2) ::   tnbnd, snbnd      !: north boundary temperature and salinity over
+      !                                                    !  2 rows and 2 time step (now and before)
+   REAL(wp), DIMENSION(jpi,jpk) ::   u_cynbnd, v_cynbnd    !: Meridional component of the phase speed ratio compu-
+      !                                                    !  ted with radiation of zonal and meridional velocity 
+      !                                                    !  (respectively) at the north OB (u_cynbnd = cx rdt )
+   REAL(wp), DIMENSION(jpi,jpk) ::   unmsk, vnmsk, tnmsk   !: 2D mask for the North OB
 
    ! Note that those arrays are optimized for mpp case 
@@ -243,13 +200,5 @@
    INTEGER ::   njs0p1, njs1p1     !: do loop index in mpp case for jpsob+1
 
-   REAL(wp), DIMENSION(jpi) ::    &   !:
-      bsfsob              !: now barotropic stream fuction computed at the OBC.The corres-
-      !                   !  ponding bsfn will be computed by the forward time step in dynspg.
-   REAL(wp), DIMENSION(jpi,3,3) ::   &   !:
-      bsbnd               !: south boundary barotropic stream function over
-      !                   !  3 rows and 3 time step (now, before, and before before)
-
    REAL(wp), DIMENSION(jpisd:jpisf) ::    &   !:
-      bfos,             & !: now climatology of the south boundary barotropic stream function
       sshfos,           & !: now climatology of the south boundary sea surface height
       ubtfos,vbtfos       !: now climatology of the south boundary barotropic transport
@@ -261,29 +210,18 @@
       !                   !  in the obcdyn.F90 routine
 
-   REAL(wp), DIMENSION(jpisd:jpisf,jpj) ::   &  !:
-      sshfos_b            !: south boundary ssh correction averaged over the barotropic loop
-                          !: (if Flather's algoritm applied at open boundary)
-
-   !!--------------------------------
-   !! Arrays for radiative South OBC
-   !!--------------------------------
-   !!                        computed by the forward time step in dynspg.
-   REAL(wp), DIMENSION(jpi,jpk,3,3) ::   &   !:
-      usbnd, vsbnd                  !: baroclinic u & v components of the velocity over 3 
-      !                             !  rows and 3 time step (now, before, and before before)
-
-   REAL(wp), DIMENSION(jpi,jpk,2,2) ::   &  !:
-      tsbnd, ssbnd                  !: south boundary temperature and salinity over
-      !                             !  2 rows and 2 time step (now and before)
-
-   REAL(wp), DIMENSION(jpi,jpk) ::   &  !:
-      u_cysbnd, v_cysbnd            !: Meridional component of the phase speed ratio compu-
-      !                             !  ted with radiation of zonal and meridional velocity 
-      !                             !  (repsectively) at the south OB (u_cynbnd = cx rdt )
-
-   REAL(wp), DIMENSION(jpi,jpk) ::   &  !:
-      usmsk, vsmsk, tsmsk           !: 2D mask for the South OB
-
-   CHARACTER ( len=20 ) :: cffile
+   REAL(wp), DIMENSION(jpisd:jpisf,jpj) ::   sshfos_b     !: south boundary ssh correction averaged over the barotropic loop
+      !                                                   !  (if Flather's algoritm applied at open boundary)
+
+   !!--------------------------------
+   !! Arrays for radiative South OBC   (computed by the forward time step in dynspg)
+   !!--------------------------------
+   REAL(wp), DIMENSION(jpi,jpk,3,3) ::   usbnd, vsbnd     !: baroclinic u & v components of the velocity over 3 
+      !                                                   !  rows and 3 time step (now, before, and before before)
+   REAL(wp), DIMENSION(jpi,jpk,2,2) ::   tsbnd, ssbnd     !: south boundary temperature and salinity over
+      !                                                   !  2 rows and 2 time step (now and before)
+   REAL(wp), DIMENSION(jpi,jpk) ::   u_cysbnd, v_cysbnd   !: Meridional component of the phase speed ratio
+      !                                                   !  computed with radiation of zonal and meridional velocity 
+      !                                                   !  (repsectively) at the south OB (u_cynbnd = cx rdt )
+   REAL(wp), DIMENSION(jpi,jpk) ::   usmsk, vsmsk, tsmsk  !: 2D mask for the South OB
 
 #else
@@ -293,4 +231,8 @@
 #endif
 
+   !!----------------------------------------------------------------------
+   !! NEMO/OPA 3.2 , LOCEAN-IPSL (2009) 
+   !! $Id$ 
+   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt) 
    !!======================================================================
 END MODULE obc_oce
